Bug 1421692

Summary: Replace Coolkey with OpenSC
Product: [Fedora] Fedora Reporter: Jan Kurik <jkurik>
Component: Changes TrackingAssignee: Jakub Jelen <jjelen>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: awilliam, jjelen, sross
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF26, SelfContainedChange
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-25 17:04:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Kurik 2017-02-13 13:08:40 UTC
This is a tracking bug for Change: Replace Coolkey with OpenSC
For more details, see: https://fedoraproject.org//wiki/Changes/Replace_Coolkey_with_OpenSC

There are more PKCS#11 libraries supporting the same smart cards in the system. For the next releases, we would like to promote OpenSC as a default PKCS#11 provided in place where Coolkey driver is used these days, which will extend a list of supported smart cards and make use of the most of the OpenSC.

Comment 1 Jan Kurik 2017-02-28 10:08:26 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 11:16:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jakub Jelen 2017-02-28 18:46:00 UTC
Packages are now built in Rawhide:

  opensc-0.16.0-5.20161016git0362439.fc26

  coolkey-1.1.0-32.fc26

Comment 4 Adam Williamson 2018-03-17 00:29:25 UTC
coolkey was recently retired, but esc was never changed not to require it, so now esc has a broken dependency. This needs to be fixed.

Comment 5 Jakub Jelen 2018-03-19 09:29:47 UTC
This is tracked as a bug #1538647 and being worked on by the esc developers.